> For the complete documentation index, see [llms.txt](https://docs.qbcore.org/qbcore-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.qbcore.org/qbcore-documentation/qbcore-resources/qb-clothing.md).

# qb-clothing

## Introduction

This resource manages outfits and creating your character. Easily configurable by location in the config and features a minimalistic UI for users to understand.

{% hint style="warning" %}
This resource does not manage replacement or add-on clothes! It only manages outfits if you want to learn more about replacement clothes in FiveM click [here](https://forum.cfx.re/t/how-to-streaming-new-hairstyles-for-characters-step-by-step-for-dummies/1048980).
{% endhint %}

## Preview

![](https://user-images.githubusercontent.com/66404074/153545004-6337e685-d3a5-478c-8fa2-e50f4b1d2030.png)

## Configuration

### Player Models

`Config.ManPlayerModels` and `Config.WomanPlayerModels` are [ped models](https://docs.fivem.net/docs/game-references/ped-models/) available for the player to change to.

### Locations

```etlua
Config.Stores = {
    [1] = {
        shopType = 'clothing', -- clothing/barber/surgeon
        coords = vector3(1693.32, 4823.48, 41.06),
        width = 2,
        length = 2
    },
}
```

{% hint style="info" %}
This uses a [BoxZone](https://github.com/mkafrin/PolyZone/wiki/BoxZone) the more width and length the bigger the zone
{% endhint %}

### Clothing Rooms

```etlua
Config.ClothingRooms = {
    [1] = {
        requiredJob = 'police', -- Can be job or gang name
        isGang = true/false, -- If above is a gang name then make true
        coords = vector3(454.43, -988.85, 30.69),
        width = 2,
        length = 2,
        cameraLocation = vector4(454.42, -990.52, 30.69, 358.48)
    },
}
```

### Job Outfits

```etlua
Config.Outfits = {
    ['police'] = { -- Job/Gang
        ['male'] = { -- Gender
            [0] = { -- Grade Level
                [1] = { -- Outfits
                    outfitLabel = 'Short Sleeve',
                    outfitData = {
                        ['pants'] = {item = 24, texture = 0}, -- Pants
                        ['arms'] = {item = 19, texture = 0}, -- Arms
                        ['t-shirt'] = {item = 58, texture = 0}, -- T Shirt
                        ['vest'] = {item = 0, texture = 0}, -- Body Vest
                        ['torso2'] = {item = 55, texture = 0}, -- Jacket
                        ['shoes'] = {item = 51, texture = 0}, -- Shoes
                        ['accessory'] = {item = 0, texture = 0}, -- Neck Accessory
                        ['bag'] = {item = 0, texture = 0}, -- Bag
                        ['hat'] = {item = -1, texture = -1}, -- Hat
                        ['glass'] = {item = 0, texture = 0}, -- Glasses
                        ['mask'] = {item = 0, texture = 0} -- Mask
                    }
                },
            }
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.qbcore.org/qbcore-documentation/qbcore-resources/qb-clothing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
